com.singularsys.jep.standard

## Class StandardVariableTable

- java.lang.Object
- - java.util.Observable
  - - com.singularsys.jep.VariableTable
    - - com.singularsys.jep.standard.StandardVariableTable

- All Implemented Interfaces:
    JepComponent, java.io.Serializable

      public class StandardVariableTable
      extends VariableTable

  A VariableTable which defines some constant values. pi, e, i, true and false are defined.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.singularsys.jep.VariableTable

      `table, vf`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardVariableTable()` Constructor with delayed initialisation of constants.
    `StandardVariableTable(VariableFactory varFac)` Constructor when the VariableFactory is known beforehand.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addConstants(VariableFactory varFac)` Adds the constants and sets the variable factory
    `void` | `init(Jep j)` Will add constants if we now have a variable factory.

    - ### Methods inherited from class com.singularsys.jep.VariableTable

      `addConstant, addVariable, addVariable, clear, clearValues, containsKey, containsVariable, copyConstantsFrom, copyVariablesFrom, getLightWeightInstance, getVariable, getVariableFactory, getVariables, isEmpty, keySet, remove, remove, removeNonConstants, setVariableFactory, size, toString, values`

    - ### Methods inherited from class java.util.Observable

      `addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardVariableTable

          public StandardVariableTable()

      Constructor with delayed initialisation of constants. The constants will be added once the init method is called
      Since:
        Jep 3.5

    - #### StandardVariableTable

          public StandardVariableTable(VariableFactory varFac)

      Constructor when the VariableFactory is known beforehand. Initialises the constants.
      Parameters:
        `varFac` - must not be null

  - ### Method Detail

    - #### addConstants

          protected void addConstants(VariableFactory varFac)

      Adds the constants and sets the variable factory
      Parameters:
        `varFac` - must not be null
      Since:
        Jep 3.5

    - #### init

          public void init(Jep j)

      Will add constants if we now have a variable factory.
      Specified by:
        `init` in interface `JepComponent`
      Overrides:
        `init` in class `VariableTable`
      Parameters:
        `j` - the current Jep instance

Copyright © 2018 Singular Systems http://www.singularsys.com/jep